Skip to main content
POST

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-api-version
string
default:2026-01-01
required

API version to be used.

x-request-id
string

Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.

x-idempotency-key
string<UUID>

An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.

Body

application/json

Request Body to get eligible offers for a customer and order.

Eligiblty API request.

queries
OfferQueries Ā· object
required

Offer Query Object.

Example:
filters
OfferFilters Ā· object

Filter for offers.

Example:

Response

OK

eligibility
boolean
Example:

true

entity_type
string
Example:

"offers"

entity_value
string
Example:

"d2b430fb-1afe-455a-af31-66d00377b29a"

entity_details
OfferEntity Ā· object

Offer entity object.